Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003210 [JEDI VCL] 04 Feature Request feature N/A 2005-09-21 06:57 2007-10-12 08:24
Reporter lacejedi View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003210: Re JvTFGlanceTextViewer - Schedule Names
Description Where in the JvTFGlanceTextViewer

Repeat group has be enabled it would ber usefull if an additional option could be allowed (ShowScheduleNames)

So that if an appointmnet is shared between John, Judy and Pete at say 9:30 - 10:00

The time stamp in the hint (on mouse over) could appear as

09:30 - 10:00 John
xxxx

09:30 - 10:00 Judy
xxxx

etc
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008842)
obones (administrator)
2006-04-03 09:15

A property called ShowSchedNamesInHint has been added so that it shows the schednames in the hint on a separate line right before the description.
This will be added to CVS as soon as it is back online.
(0008942)
obones (administrator)
2006-04-05 01:22

This is now in CVS
(0009204)
lacejedi (reporter)
2006-05-01 07:33

Hi Thanks for your help

I must be mighty think but I cannot seem to find the updated source code anywhere

What should I do

Regrads

Michael
(0009223)
obones (administrator)
2006-05-02 01:37

http://jvcl.sf.net/daily [^]

or the SVN repository, which access is described here:

http://homepages.borland.com/jedi/wiki/index.php?title=Repository [^]

Cheers
Olivier
(0013648)
lacejedi (reporter)
2007-08-22 07:49

After coming back to look at my diary code I see this is not doing what I had hoped for.

It is showing the schedule names for the current view of the diary.

What I wanted was the names of whoever the appointment isrrespective of th current view.

Eg looking at Pete's view Pete's name will show against all appointments, Jane's name agaisnt those shared with her etc.

PS. Any hope of recurring entries being implemented.

Many thanks

Mike Leigh

Lacegem Ltd
(0013649)
lacejedi (reporter)
2007-08-22 07:55

Sorry I will make that clearer.

If repeat group enabled show a name against each entry.

So if appt is shared between John and Judy

Should show

09:30 - 10:00 John
xxxx

09:30 - 10:00 Judy
xxxx

If repeat group not enabled should show just

09:30 - 10:00 John, Judy
xxxx

These are the names of the people the appointment belongs to, not thr schedules currently showing.
(0013932)
obones (administrator)
2007-10-12 08:23

Please create a new issue for your new request

- Issue History
Date Modified Username Field Change
2005-09-21 06:57 lacejedi New Issue
2006-04-03 09:15 obones Note Added: 0008842
2006-04-03 09:15 obones Status new => confirmed
2006-04-05 01:22 obones Status confirmed => resolved
2006-04-05 01:22 obones Resolution open => fixed
2006-04-05 01:22 obones Assigned To => obones
2006-04-05 01:22 obones Note Added: 0008942
2006-05-01 07:32 lacejedi Issue Monitored: lacejedi
2006-05-01 07:32 lacejedi Issue End Monitor: lacejedi
2006-05-01 07:33 lacejedi Status resolved => feedback
2006-05-01 07:33 lacejedi Resolution fixed => reopened
2006-05-01 07:33 lacejedi Note Added: 0009204
2006-05-02 01:37 obones Status feedback => resolved
2006-05-02 01:37 obones Resolution reopened => fixed
2006-05-02 01:37 obones Note Added: 0009223
2007-08-22 07:49 lacejedi Status resolved => feedback
2007-08-22 07:49 lacejedi Resolution fixed => reopened
2007-08-22 07:49 lacejedi Note Added: 0013648
2007-08-22 07:55 lacejedi Note Added: 0013649
2007-10-12 08:23 obones Status feedback => resolved
2007-10-12 08:23 obones Resolution reopened => fixed
2007-10-12 08:23 obones Note Added: 0013932


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker